#include <stdio.h>
#include <string.h>
#include "fsayskeystroke.h"
FSaysKeystroke::FSaysKeystroke(int key)
{
    _key = key;
    //printf("FSaysKeystroke(%d), %d\n", _key, this);
    _p_nextKeyStroke = NULL;
    _p_prevKeyStroke = NULL;
    _processed = false;
    _timedOut = false;
}


FSaysKeystroke::~FSaysKeystroke()
{
    //printf("~FSaysKeystroke(%d), %d\n", _key, this);
}

FSaysKeystroke* FSaysKeystroke::getPrevious(void)
{
    return _p_prevKeyStroke;
}

FSaysKeystroke* FSaysKeystroke::getNext(void)
{
    return _p_nextKeyStroke;
}

void FSaysKeystroke::setPrevious(FSaysKeystroke* p_prevKeyStroke)
{
    _p_prevKeyStroke = p_prevKeyStroke;
}
void FSaysKeystroke::setNext(FSaysKeystroke* p_nextKeyStroke)
{
    _p_nextKeyStroke = p_nextKeyStroke;
}

bool FSaysKeystroke::getProcessed()
{
    return _processed;
}

void FSaysKeystroke::setProcessed(bool processed)
{
    _processed = processed;
}

bool FSaysKeystroke::getTimedOut()
{
    return _timedOut;
}

void FSaysKeystroke::setTimedOut(bool timedOut)
{
    _timedOut = timedOut;
}

int FSaysKeystroke::getKey()
{
    return _key;
}
