#ifndef _FSAYS_KEYSTROKE_H
#define _FSAYS_KEYSTROKE_H

class FSaysKeystroke
{
    public:
        // constructors
        FSaysKeystroke(int key);
        ~FSaysKeystroke();
        FSaysKeystroke* getPrevious(void);
        FSaysKeystroke* getNext(void);
        void setPrevious(FSaysKeystroke* p_prevKeystroke);
        void setNext(FSaysKeystroke* p_nextKeystroke);
        int getKey();

        bool getProcessed(void);
        void setProcessed(bool processed);
        bool getTimedOut(void);
        void setTimedOut(bool timedOut);
        
    private:
        FSaysKeystroke* _p_nextKeyStroke;
        FSaysKeystroke* _p_prevKeyStroke;
        bool _processed;
        bool _timedOut;
        int _key;
};
#endif
